import { StorageEntryMetadata } from '@polkadot/types/Metadata/v8/Storage';
import { StorageEntry } from '@polkadot/types/primitive/StorageKey';
export interface CreateItemOptions {
    key?: string;
    skipHashing?: boolean;
}
export interface CreateItemFn {
    meta: StorageEntryMetadata;
    method: string;
    prefix: string;
    section: string;
}
/**
 * From the schema of a function in the module's storage, generate the function
 * that will return the correct storage key.
 *
 * @param item - The function's definition schema to create the function from.
 * The schema is taken from state_getMetadata.
 * @param options - Additional options when creating the function. These options
 * are not known at runtime (from state_getMetadata), they need to be supplied
 * by us manually at compile time.
 */
export default function createFunction(item: CreateItemFn, options?: CreateItemOptions): StorageEntry;
